CPPFLAGS=  -fPIC -O1 -std=c++14 -g -Wall -Wshadow


ROOTCFLAGS = $(shell root-config --cflags)
ROOTLIBS   = $(shell root-config --libs)
EXTRA_ROOTLIBS = -lRooFit -lRooStats -lRooFitCore -lHistFactory -lTreePlayer

SRC   = $(wildcard *.cpp) 
FILES = $(patsubst %.cpp,%,    $(wildcard *.cpp)) 
OUT   = $(patsubst %.cpp,%.so, $(wildcard *.cpp)) 
LIBS  = $(patsubst %.cpp,%.o,  $(wildcard *.cpp)) 


all: PYBuild
	g++ -shared -o libKMuNuTools.so $(CPPFLAGS) $(ROOTLIBS) $(ROOTCFLAGS) $(EXTRA_ROOTLIBS) $(SRC) #-Wl,--no-whole-archive
	
PYBuild: 
	root -l -q -b CompileToPython.cc # Build shared dictionaries to interface with Python


clean:
	rm *.so 



